package com.jeeplus.finance.projectRecords.constant.enums;

/**
 * 项目状态
 */
public enum ProjectStatusEnum {
    STAGING ("1", "暂存"),
    TOTRIAL ("2", "送审"),
    RETRACT ("3", "撤回"),
    OVERRULE ("4", "驳回"),
    FINISH ("5", "完成"),
    INVALID ("6", "作废"),
    DELETE ("7", "删除");

    /**
     *  项目状态值
     */
    private String value;

    /**
     * 项目状态标签
     */
    private String label;

    private ProjectStatusEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    @Override
    public String toString() {
        return this.value;
    }
}
